Package com.ocient.jdbc.proto

# Class ClientWireProtocol.SetParameter.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SetParameter.Builder>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.SetParameterOrBuilder`, `Cloneable`

Enclosing class:
  `ClientWireProtocol.SetParameter`

public static final class ClientWireProtocol.SetParameter.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder> implements ClientWireProtocol.SetParameterOrBuilder
Protobuf type `xg.cmdcomp.SetParameter`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.SetParameter`
`build()`
`ClientWireProtocol.SetParameter`
`buildPartial()`
`ClientWireProtocol.SetParameter.Builder`
`clear()`
`ClientWireProtocol.SetParameter.Builder`
`clearConcurrency()`
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter.Builder`
`clearForceExternal()`
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.Builder`
`clearMemoryTracing()`
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`
`ClientWireProtocol.SetParameter.Builder`
`clearParameter()`
`ClientWireProtocol.SetParameter.Builder`
`clearPriority()`
`.xg.cmdcomp.SetParameter.Priority priority = 6;`
`ClientWireProtocol.SetParameter.Builder`
`clearPriorityAdjustFactor()`
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`
`ClientWireProtocol.SetParameter.Builder`
`clearPriorityAdjustTime()`
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`
`ClientWireProtocol.SetParameter.Builder`
`clearReset()`
whether we should reset back to the default, overrides whatever threshold is
`ClientWireProtocol.SetParameter.Builder`
`clearResultSetColumnLimit()`
8 reserved above
`ClientWireProtocol.SetParameter.Builder`
`clearRowLimit()`
2 reserved above
`ClientWireProtocol.SetParameter.Builder`
`clearServiceClassName()`
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`
`ClientWireProtocol.SetParameter.Builder`
`clearTempDiskLimit()`
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.Builder`
`clearTimeLimit()`
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`ClientWireProtocol.SetParameter.Concurrency`
`getConcurrency()`
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter.Concurrency.Builder`
`getConcurrencyBuilder()`
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter.ConcurrencyOrBuilder`
`getConcurrencyOrBuilder()`
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`ClientWireProtocol.SetParameter.ForceExternal`
`getForceExternal()`
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.ForceExternal.Builder`
`getForceExternalBuilder()`
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.ForceExternalOrBuilder`
`getForceExternalOrBuilder()`
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.MemoryTracing`
`getMemoryTracing()`
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`
`ClientWireProtocol.SetParameter.MemoryTracing.Builder`
`getMemoryTracingBuilder()`
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`
`ClientWireProtocol.SetParameter.MemoryTracingOrBuilder`
`getMemoryTracingOrBuilder()`
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`
`ClientWireProtocol.SetParameter.ParameterCase`
`getParameterCase()`
`ClientWireProtocol.SetParameter.Priority`
`getPriority()`
`.xg.cmdcomp.SetParameter.Priority priority = 6;`
`ClientWireProtocol.SetParameter.PriorityAdjustFactor`
`getPriorityAdjustFactor()`
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`
`ClientWireProtocol.SetParameter.PriorityAdjustFactor.Builder`
`getPriorityAdjustFactorBuilder()`
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`
`ClientWireProtocol.SetParameter.PriorityAdjustFactorOrBuilder`
`getPriorityAdjustFactorOrBuilder()`
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`
`ClientWireProtocol.SetParameter.PriorityAdjustTime`
`getPriorityAdjustTime()`
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`
`ClientWireProtocol.SetParameter.PriorityAdjustTime.Builder`
`getPriorityAdjustTimeBuilder()`
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`
`ClientWireProtocol.SetParameter.PriorityAdjustTimeOrBuilder`
`getPriorityAdjustTimeOrBuilder()`
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`
`ClientWireProtocol.SetParameter.Priority.Builder`
`getPriorityBuilder()`
`.xg.cmdcomp.SetParameter.Priority priority = 6;`
`ClientWireProtocol.SetParameter.PriorityOrBuilder`
`getPriorityOrBuilder()`
`.xg.cmdcomp.SetParameter.Priority priority = 6;`
`boolean`
`getReset()`
whether we should reset back to the default, overrides whatever threshold is
`ClientWireProtocol.SetParameter.ResultSetColumnLimit`
`getResultSetColumnLimit()`
8 reserved above
`ClientWireProtocol.SetParameter.ResultSetColumnLimit.Builder`
`getResultSetColumnLimitBuilder()`
8 reserved above
`ClientWireProtocol.SetParameter.ResultSetColumnLimitOrBuilder`
`getResultSetColumnLimitOrBuilder()`
8 reserved above
`ClientWireProtocol.SetParameter.RowLimit`
`getRowLimit()`
2 reserved above
`ClientWireProtocol.SetParameter.RowLimit.Builder`
`getRowLimitBuilder()`
2 reserved above
`ClientWireProtocol.SetParameter.RowLimitOrBuilder`
`getRowLimitOrBuilder()`
2 reserved above
`ClientWireProtocol.SetParameter.ServiceClassName`
`getServiceClassName()`
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`
`ClientWireProtocol.SetParameter.ServiceClassName.Builder`
`getServiceClassNameBuilder()`
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`
`ClientWireProtocol.SetParameter.ServiceClassNameOrBuilder`
`getServiceClassNameOrBuilder()`
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`
`ClientWireProtocol.SetParameter.MaxTempDiskLimit`
`getTempDiskLimit()`
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder`
`getTempDiskLimitBuilder()`
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.MaxTempDiskLimitOrBuilder`
`getTempDiskLimitOrBuilder()`
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.TimeLimit`
`getTimeLimit()`
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`ClientWireProtocol.SetParameter.TimeLimit.Builder`
`getTimeLimitBuilder()`
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`ClientWireProtocol.SetParameter.TimeLimitOrBuilder`
`getTimeLimitOrBuilder()`
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`boolean`
`hasConcurrency()`
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`boolean`
`hasForceExternal()`
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`boolean`
`hasMemoryTracing()`
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`
`boolean`
`hasPriority()`
`.xg.cmdcomp.SetParameter.Priority priority = 6;`
`boolean`
`hasPriorityAdjustFactor()`
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`
`boolean`
`hasPriorityAdjustTime()`
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`
`boolean`
`hasResultSetColumnLimit()`
8 reserved above
`boolean`
`hasRowLimit()`
2 reserved above
`boolean`
`hasServiceClassName()`
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`
`boolean`
`hasTempDiskLimit()`
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`boolean`
`hasTimeLimit()`
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`ClientWireProtocol.SetParameter.Builder`
`mergeConcurrency(ClientWireProtocol.SetParameter.Concurrency value)`
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter.Builder`
`mergeForceExternal(ClientWireProtocol.SetParameter.ForceExternal value)`
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ClientWireProtocol.SetParameter.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`ClientWireProtocol.SetParameter.Builder`
`mergeFrom(ClientWireProtocol.SetParameter other)`
`ClientWireProtocol.SetParameter.Builder`
`mergeMemoryTracing(ClientWireProtocol.SetParameter.MemoryTracing value)`
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`
`ClientWireProtocol.SetParameter.Builder`
`mergePriority(ClientWireProtocol.SetParameter.Priority value)`
`.xg.cmdcomp.SetParameter.Priority priority = 6;`
`ClientWireProtocol.SetParameter.Builder`
`mergePriorityAdjustFactor(ClientWireProtocol.SetParameter.PriorityAdjustFactor value)`
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`
`ClientWireProtocol.SetParameter.Builder`
`mergePriorityAdjustTime(ClientWireProtocol.SetParameter.PriorityAdjustTime value)`
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`
`ClientWireProtocol.SetParameter.Builder`
`mergeResultSetColumnLimit(ClientWireProtocol.SetParameter.ResultSetColumnLimit value)`
8 reserved above
`ClientWireProtocol.SetParameter.Builder`
`mergeRowLimit(ClientWireProtocol.SetParameter.RowLimit value)`
2 reserved above
`ClientWireProtocol.SetParameter.Builder`
`mergeServiceClassName(ClientWireProtocol.SetParameter.ServiceClassName value)`
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`
`ClientWireProtocol.SetParameter.Builder`
`mergeTempDiskLimit(ClientWireProtocol.SetParameter.MaxTempDiskLimit value)`
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.Builder`
`mergeTimeLimit(ClientWireProtocol.SetParameter.TimeLimit value)`
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`final ClientWireProtocol.SetParameter.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.SetParameter.Builder`
`setConcurrency(ClientWireProtocol.SetParameter.Concurrency value)`
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter.Builder`
`setConcurrency(ClientWireProtocol.SetParameter.Concurrency.Builder builderForValue)`
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`
`ClientWireProtocol.SetParameter.Builder`
`setForceExternal(ClientWireProtocol.SetParameter.ForceExternal value)`
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.Builder`
`setForceExternal(ClientWireProtocol.SetParameter.ForceExternal.Builder builderForValue)`
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`
`ClientWireProtocol.SetParameter.Builder`
`setMemoryTracing(ClientWireProtocol.SetParameter.MemoryTracing value)`
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`
`ClientWireProtocol.SetParameter.Builder`
`setMemoryTracing(ClientWireProtocol.SetParameter.MemoryTracing.Builder builderForValue)`
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`
`ClientWireProtocol.SetParameter.Builder`
`setPriority(ClientWireProtocol.SetParameter.Priority value)`
`.xg.cmdcomp.SetParameter.Priority priority = 6;`
`ClientWireProtocol.SetParameter.Builder`
`setPriority(ClientWireProtocol.SetParameter.Priority.Builder builderForValue)`
`.xg.cmdcomp.SetParameter.Priority priority = 6;`
`ClientWireProtocol.SetParameter.Builder`
`setPriorityAdjustFactor(ClientWireProtocol.SetParameter.PriorityAdjustFactor value)`
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`
`ClientWireProtocol.SetParameter.Builder`
`setPriorityAdjustFactor(ClientWireProtocol.SetParameter.PriorityAdjustFactor.Builder builderForValue)`
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`
`ClientWireProtocol.SetParameter.Builder`
`setPriorityAdjustTime(ClientWireProtocol.SetParameter.PriorityAdjustTime value)`
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`
`ClientWireProtocol.SetParameter.Builder`
`setPriorityAdjustTime(ClientWireProtocol.SetParameter.PriorityAdjustTime.Builder builderForValue)`
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`
`ClientWireProtocol.SetParameter.Builder`
`setReset(boolean value)`
whether we should reset back to the default, overrides whatever threshold is
`ClientWireProtocol.SetParameter.Builder`
`setResultSetColumnLimit(ClientWireProtocol.SetParameter.ResultSetColumnLimit value)`
8 reserved above
`ClientWireProtocol.SetParameter.Builder`
`setResultSetColumnLimit(ClientWireProtocol.SetParameter.ResultSetColumnLimit.Builder builderForValue)`
8 reserved above
`ClientWireProtocol.SetParameter.Builder`
`setRowLimit(ClientWireProtocol.SetParameter.RowLimit value)`
2 reserved above
`ClientWireProtocol.SetParameter.Builder`
`setRowLimit(ClientWireProtocol.SetParameter.RowLimit.Builder builderForValue)`
2 reserved above
`ClientWireProtocol.SetParameter.Builder`
`setServiceClassName(ClientWireProtocol.SetParameter.ServiceClassName value)`
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`
`ClientWireProtocol.SetParameter.Builder`
`setServiceClassName(ClientWireProtocol.SetParameter.ServiceClassName.Builder builderForValue)`
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`
`ClientWireProtocol.SetParameter.Builder`
`setTempDiskLimit(ClientWireProtocol.SetParameter.MaxTempDiskLimit value)`
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.Builder`
`setTempDiskLimit(ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder builderForValue)`
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`
`ClientWireProtocol.SetParameter.Builder`
`setTimeLimit(ClientWireProtocol.SetParameter.TimeLimit value)`
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`ClientWireProtocol.SetParameter.Builder`
`setTimeLimit(ClientWireProtocol.SetParameter.TimeLimit.Builder builderForValue)`
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`
`final ClientWireProtocol.SetParameter.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>`

### clear

public ClientWireProtocol.SetParameter.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.SetParameter getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.SetParameter build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.SetParameter buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.SetParameter.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SetParameter.Builder>`

### mergeFrom

public ClientWireProtocol.SetParameter.Builder mergeFrom(ClientWireProtocol.SetParameter other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>`

### mergeFrom

public ClientWireProtocol.SetParameter.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SetParameter.Builder>`
Throws:
  `IOException`

### getParameterCase

public ClientWireProtocol.SetParameter.ParameterCase getParameterCase()

Specified by:
  `getParameterCase` in interface `ClientWireProtocol.SetParameterOrBuilder`

### clearParameter

public ClientWireProtocol.SetParameter.Builder clearParameter()

### getReset

public boolean getReset()

     whether we should reset back to the default, overrides whatever threshold is

`bool reset = 1;`

Specified by:
  `getReset` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The reset.

### setReset

public ClientWireProtocol.SetParameter.Builder setReset(boolean value)

     whether we should reset back to the default, overrides whatever threshold is

`bool reset = 1;`

Parameters:
  `value` - The reset to set.
Returns:
  This builder for chaining.

### clearReset

public ClientWireProtocol.SetParameter.Builder clearReset()

     whether we should reset back to the default, overrides whatever threshold is

`bool reset = 1;`

Returns:
  This builder for chaining.

### hasRowLimit

public boolean hasRowLimit()

     2 reserved above

`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

Specified by:
  `hasRowLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the rowLimit field is set.

### getRowLimit

public ClientWireProtocol.SetParameter.RowLimit getRowLimit()

     2 reserved above

`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

Specified by:
  `getRowLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The rowLimit.

### setRowLimit

public ClientWireProtocol.SetParameter.Builder setRowLimit(ClientWireProtocol.SetParameter.RowLimit value)

     2 reserved above

`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

### setRowLimit

public ClientWireProtocol.SetParameter.Builder setRowLimit(ClientWireProtocol.SetParameter.RowLimit.Builder builderForValue)

     2 reserved above

`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

### mergeRowLimit

public ClientWireProtocol.SetParameter.Builder mergeRowLimit(ClientWireProtocol.SetParameter.RowLimit value)

     2 reserved above

`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

### clearRowLimit

public ClientWireProtocol.SetParameter.Builder clearRowLimit()

     2 reserved above

`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

### getRowLimitBuilder

public ClientWireProtocol.SetParameter.RowLimit.Builder getRowLimitBuilder()

     2 reserved above

`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

### getRowLimitOrBuilder

public ClientWireProtocol.SetParameter.RowLimitOrBuilder getRowLimitOrBuilder()

     2 reserved above

`.xg.cmdcomp.SetParameter.RowLimit row_limit = 3;`

Specified by:
  `getRowLimitOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasTimeLimit

public boolean hasTimeLimit()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

Specified by:
  `hasTimeLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the timeLimit field is set.

### getTimeLimit

public ClientWireProtocol.SetParameter.TimeLimit getTimeLimit()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

Specified by:
  `getTimeLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The timeLimit.

### setTimeLimit

public ClientWireProtocol.SetParameter.Builder setTimeLimit(ClientWireProtocol.SetParameter.TimeLimit value)
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

### setTimeLimit

public ClientWireProtocol.SetParameter.Builder setTimeLimit(ClientWireProtocol.SetParameter.TimeLimit.Builder builderForValue)
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

### mergeTimeLimit

public ClientWireProtocol.SetParameter.Builder mergeTimeLimit(ClientWireProtocol.SetParameter.TimeLimit value)
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

### clearTimeLimit

public ClientWireProtocol.SetParameter.Builder clearTimeLimit()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

### getTimeLimitBuilder

public ClientWireProtocol.SetParameter.TimeLimit.Builder getTimeLimitBuilder()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

### getTimeLimitOrBuilder

public ClientWireProtocol.SetParameter.TimeLimitOrBuilder getTimeLimitOrBuilder()
`.xg.cmdcomp.SetParameter.TimeLimit time_limit = 4;`

Specified by:
  `getTimeLimitOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasTempDiskLimit

public boolean hasTempDiskLimit()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

Specified by:
  `hasTempDiskLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the tempDiskLimit field is set.

### getTempDiskLimit

public ClientWireProtocol.SetParameter.MaxTempDiskLimit getTempDiskLimit()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

Specified by:
  `getTempDiskLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The tempDiskLimit.

### setTempDiskLimit

public ClientWireProtocol.SetParameter.Builder setTempDiskLimit(ClientWireProtocol.SetParameter.MaxTempDiskLimit value)
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

### setTempDiskLimit

public ClientWireProtocol.SetParameter.Builder setTempDiskLimit(ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder builderForValue)
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

### mergeTempDiskLimit

public ClientWireProtocol.SetParameter.Builder mergeTempDiskLimit(ClientWireProtocol.SetParameter.MaxTempDiskLimit value)
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

### clearTempDiskLimit

public ClientWireProtocol.SetParameter.Builder clearTempDiskLimit()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

### getTempDiskLimitBuilder

public ClientWireProtocol.SetParameter.MaxTempDiskLimit.Builder getTempDiskLimitBuilder()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

### getTempDiskLimitOrBuilder

public ClientWireProtocol.SetParameter.MaxTempDiskLimitOrBuilder getTempDiskLimitOrBuilder()
`.xg.cmdcomp.SetParameter.MaxTempDiskLimit temp_disk_limit = 5;`

Specified by:
  `getTempDiskLimitOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasPriority

public boolean hasPriority()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

Specified by:
  `hasPriority` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the priority field is set.

### getPriority

public ClientWireProtocol.SetParameter.Priority getPriority()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

Specified by:
  `getPriority` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The priority.

### setPriority

public ClientWireProtocol.SetParameter.Builder setPriority(ClientWireProtocol.SetParameter.Priority value)
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

### setPriority

public ClientWireProtocol.SetParameter.Builder setPriority(ClientWireProtocol.SetParameter.Priority.Builder builderForValue)
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

### mergePriority

public ClientWireProtocol.SetParameter.Builder mergePriority(ClientWireProtocol.SetParameter.Priority value)
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

### clearPriority

public ClientWireProtocol.SetParameter.Builder clearPriority()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

### getPriorityBuilder

public ClientWireProtocol.SetParameter.Priority.Builder getPriorityBuilder()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

### getPriorityOrBuilder

public ClientWireProtocol.SetParameter.PriorityOrBuilder getPriorityOrBuilder()
`.xg.cmdcomp.SetParameter.Priority priority = 6;`

Specified by:
  `getPriorityOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasConcurrency

public boolean hasConcurrency()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

Specified by:
  `hasConcurrency` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the concurrency field is set.

### getConcurrency

public ClientWireProtocol.SetParameter.Concurrency getConcurrency()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

Specified by:
  `getConcurrency` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The concurrency.

### setConcurrency

public ClientWireProtocol.SetParameter.Builder setConcurrency(ClientWireProtocol.SetParameter.Concurrency value)
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

### setConcurrency

public ClientWireProtocol.SetParameter.Builder setConcurrency(ClientWireProtocol.SetParameter.Concurrency.Builder builderForValue)
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

### mergeConcurrency

public ClientWireProtocol.SetParameter.Builder mergeConcurrency(ClientWireProtocol.SetParameter.Concurrency value)
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

### clearConcurrency

public ClientWireProtocol.SetParameter.Builder clearConcurrency()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

### getConcurrencyBuilder

public ClientWireProtocol.SetParameter.Concurrency.Builder getConcurrencyBuilder()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

### getConcurrencyOrBuilder

public ClientWireProtocol.SetParameter.ConcurrencyOrBuilder getConcurrencyOrBuilder()
`.xg.cmdcomp.SetParameter.Concurrency concurrency = 7;`

Specified by:
  `getConcurrencyOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasResultSetColumnLimit

public boolean hasResultSetColumnLimit()

     8 reserved above

`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

Specified by:
  `hasResultSetColumnLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the resultSetColumnLimit field is set.

### getResultSetColumnLimit

public ClientWireProtocol.SetParameter.ResultSetColumnLimit getResultSetColumnLimit()

     8 reserved above

`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

Specified by:
  `getResultSetColumnLimit` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The resultSetColumnLimit.

### setResultSetColumnLimit

public ClientWireProtocol.SetParameter.Builder setResultSetColumnLimit(ClientWireProtocol.SetParameter.ResultSetColumnLimit value)

     8 reserved above

`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

### setResultSetColumnLimit

public ClientWireProtocol.SetParameter.Builder setResultSetColumnLimit(ClientWireProtocol.SetParameter.ResultSetColumnLimit.Builder builderForValue)

     8 reserved above

`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

### mergeResultSetColumnLimit

public ClientWireProtocol.SetParameter.Builder mergeResultSetColumnLimit(ClientWireProtocol.SetParameter.ResultSetColumnLimit value)

     8 reserved above

`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

### clearResultSetColumnLimit

public ClientWireProtocol.SetParameter.Builder clearResultSetColumnLimit()

     8 reserved above

`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

### getResultSetColumnLimitBuilder

public ClientWireProtocol.SetParameter.ResultSetColumnLimit.Builder getResultSetColumnLimitBuilder()

     8 reserved above

`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

### getResultSetColumnLimitOrBuilder

public ClientWireProtocol.SetParameter.ResultSetColumnLimitOrBuilder getResultSetColumnLimitOrBuilder()

     8 reserved above

`.xg.cmdcomp.SetParameter.ResultSetColumnLimit result_set_column_limit = 9;`

Specified by:
  `getResultSetColumnLimitOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasForceExternal

public boolean hasForceExternal()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

Specified by:
  `hasForceExternal` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the forceExternal field is set.

### getForceExternal

public ClientWireProtocol.SetParameter.ForceExternal getForceExternal()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

Specified by:
  `getForceExternal` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The forceExternal.

### setForceExternal

public ClientWireProtocol.SetParameter.Builder setForceExternal(ClientWireProtocol.SetParameter.ForceExternal value)
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

### setForceExternal

public ClientWireProtocol.SetParameter.Builder setForceExternal(ClientWireProtocol.SetParameter.ForceExternal.Builder builderForValue)
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

### mergeForceExternal

public ClientWireProtocol.SetParameter.Builder mergeForceExternal(ClientWireProtocol.SetParameter.ForceExternal value)
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

### clearForceExternal

public ClientWireProtocol.SetParameter.Builder clearForceExternal()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

### getForceExternalBuilder

public ClientWireProtocol.SetParameter.ForceExternal.Builder getForceExternalBuilder()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

### getForceExternalOrBuilder

public ClientWireProtocol.SetParameter.ForceExternalOrBuilder getForceExternalOrBuilder()
`.xg.cmdcomp.SetParameter.ForceExternal force_external = 10;`

Specified by:
  `getForceExternalOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasPriorityAdjustFactor

public boolean hasPriorityAdjustFactor()
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`

Specified by:
  `hasPriorityAdjustFactor` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the priorityAdjustFactor field is set.

### getPriorityAdjustFactor

public ClientWireProtocol.SetParameter.PriorityAdjustFactor getPriorityAdjustFactor()
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`

Specified by:
  `getPriorityAdjustFactor` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The priorityAdjustFactor.

### setPriorityAdjustFactor

public ClientWireProtocol.SetParameter.Builder setPriorityAdjustFactor(ClientWireProtocol.SetParameter.PriorityAdjustFactor value)
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`

### setPriorityAdjustFactor

public ClientWireProtocol.SetParameter.Builder setPriorityAdjustFactor(ClientWireProtocol.SetParameter.PriorityAdjustFactor.Builder builderForValue)
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`

### mergePriorityAdjustFactor

public ClientWireProtocol.SetParameter.Builder mergePriorityAdjustFactor(ClientWireProtocol.SetParameter.PriorityAdjustFactor value)
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`

### clearPriorityAdjustFactor

public ClientWireProtocol.SetParameter.Builder clearPriorityAdjustFactor()
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`

### getPriorityAdjustFactorBuilder

public ClientWireProtocol.SetParameter.PriorityAdjustFactor.Builder getPriorityAdjustFactorBuilder()
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`

### getPriorityAdjustFactorOrBuilder

public ClientWireProtocol.SetParameter.PriorityAdjustFactorOrBuilder getPriorityAdjustFactorOrBuilder()
`.xg.cmdcomp.SetParameter.PriorityAdjustFactor priority_adjust_factor = 11;`

Specified by:
  `getPriorityAdjustFactorOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasPriorityAdjustTime

public boolean hasPriorityAdjustTime()
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`

Specified by:
  `hasPriorityAdjustTime` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the priorityAdjustTime field is set.

### getPriorityAdjustTime

public ClientWireProtocol.SetParameter.PriorityAdjustTime getPriorityAdjustTime()
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`

Specified by:
  `getPriorityAdjustTime` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The priorityAdjustTime.

### setPriorityAdjustTime

public ClientWireProtocol.SetParameter.Builder setPriorityAdjustTime(ClientWireProtocol.SetParameter.PriorityAdjustTime value)
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`

### setPriorityAdjustTime

public ClientWireProtocol.SetParameter.Builder setPriorityAdjustTime(ClientWireProtocol.SetParameter.PriorityAdjustTime.Builder builderForValue)
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`

### mergePriorityAdjustTime

public ClientWireProtocol.SetParameter.Builder mergePriorityAdjustTime(ClientWireProtocol.SetParameter.PriorityAdjustTime value)
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`

### clearPriorityAdjustTime

public ClientWireProtocol.SetParameter.Builder clearPriorityAdjustTime()
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`

### getPriorityAdjustTimeBuilder

public ClientWireProtocol.SetParameter.PriorityAdjustTime.Builder getPriorityAdjustTimeBuilder()
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`

### getPriorityAdjustTimeOrBuilder

public ClientWireProtocol.SetParameter.PriorityAdjustTimeOrBuilder getPriorityAdjustTimeOrBuilder()
`.xg.cmdcomp.SetParameter.PriorityAdjustTime priority_adjust_time = 12;`

Specified by:
  `getPriorityAdjustTimeOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasServiceClassName

public boolean hasServiceClassName()
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`

Specified by:
  `hasServiceClassName` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the serviceClassName field is set.

### getServiceClassName

public ClientWireProtocol.SetParameter.ServiceClassName getServiceClassName()
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`

Specified by:
  `getServiceClassName` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The serviceClassName.

### setServiceClassName

public ClientWireProtocol.SetParameter.Builder setServiceClassName(ClientWireProtocol.SetParameter.ServiceClassName value)
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`

### setServiceClassName

public ClientWireProtocol.SetParameter.Builder setServiceClassName(ClientWireProtocol.SetParameter.ServiceClassName.Builder builderForValue)
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`

### mergeServiceClassName

public ClientWireProtocol.SetParameter.Builder mergeServiceClassName(ClientWireProtocol.SetParameter.ServiceClassName value)
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`

### clearServiceClassName

public ClientWireProtocol.SetParameter.Builder clearServiceClassName()
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`

### getServiceClassNameBuilder

public ClientWireProtocol.SetParameter.ServiceClassName.Builder getServiceClassNameBuilder()
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`

### getServiceClassNameOrBuilder

public ClientWireProtocol.SetParameter.ServiceClassNameOrBuilder getServiceClassNameOrBuilder()
`.xg.cmdcomp.SetParameter.ServiceClassName service_class_name = 13;`

Specified by:
  `getServiceClassNameOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### hasMemoryTracing

public boolean hasMemoryTracing()
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`

Specified by:
  `hasMemoryTracing` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  Whether the memoryTracing field is set.

### getMemoryTracing

public ClientWireProtocol.SetParameter.MemoryTracing getMemoryTracing()
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`

Specified by:
  `getMemoryTracing` in interface `ClientWireProtocol.SetParameterOrBuilder`
Returns:
  The memoryTracing.

### setMemoryTracing

public ClientWireProtocol.SetParameter.Builder setMemoryTracing(ClientWireProtocol.SetParameter.MemoryTracing value)
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`

### setMemoryTracing

public ClientWireProtocol.SetParameter.Builder setMemoryTracing(ClientWireProtocol.SetParameter.MemoryTracing.Builder builderForValue)
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`

### mergeMemoryTracing

public ClientWireProtocol.SetParameter.Builder mergeMemoryTracing(ClientWireProtocol.SetParameter.MemoryTracing value)
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`

### clearMemoryTracing

public ClientWireProtocol.SetParameter.Builder clearMemoryTracing()
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`

### getMemoryTracingBuilder

public ClientWireProtocol.SetParameter.MemoryTracing.Builder getMemoryTracingBuilder()
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`

### getMemoryTracingOrBuilder

public ClientWireProtocol.SetParameter.MemoryTracingOrBuilder getMemoryTracingOrBuilder()
`.xg.cmdcomp.SetParameter.MemoryTracing memory_tracing = 14;`

Specified by:
  `getMemoryTracingOrBuilder` in interface `ClientWireProtocol.SetParameterOrBuilder`

### setUnknownFields

public final ClientWireProtocol.SetParameter.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.SetParameter.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.Builder>`